Skip to main content
PATCH
/
v1
/
webhooks
/
{webhook_id}
Update webhook
curl --request PATCH \
  --url https://api.framelane.io/v1/webhooks/{webhook_id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "enabled": true
}
'
{
  "id": "<string>",
  "url": "<string>",
  "events": [
    "<string>"
  ],
  "enabled": true,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

webhook_id
string
required

Body

application/json
url
string<uri> | null
Required string length: 1 - 2083
events
string[] | null
enabled
boolean | null

Response

Successful Response

id
string
required
url
string
required
events
string[]
required
enabled
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required